searchData={"items":[{"type":"module","title":"Apple","doc":"Utilities for building Apple SDKs.","ref":"Apple.html"},{"type":"module","title":"Apple.AppStoreServerAPI","doc":"Utilities for [App Store Server API](https://developer.apple.com/documentation/appstoreserverapi).","ref":"Apple.AppStoreServerAPI.html"},{"type":"function","title":"Apple.AppStoreServerAPI.build_auth_token!/4","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `issuer_id`, `key_id` and so on,\nplease read [Generating JSON Web Tokens for API requests](https://developer.apple.com/documentation/appstoreserverapi/generating_json_web_tokens_for_api_requests).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```\nAuthorization: Bearer  \n```","ref":"Apple.AppStoreServerAPI.html#build_auth_token!/4"},{"type":"type","title":"Apple.AppStoreServerAPI.bundle_id/0","doc":"The app's bundle ID, like `\"com.example.demo\"`.","ref":"Apple.AppStoreServerAPI.html#t:bundle_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.issuer_id/0","doc":"The issuer ID, like `\"57246542-96fe-1a63-e053-0824d011072a\"`","ref":"Apple.AppStoreServerAPI.html#t:issuer_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.key_id/0","doc":"The private key ID, like `\"2X9R4HXF34\"`.","ref":"Apple.AppStoreServerAPI.html#t:key_id/0"},{"type":"type","title":"Apple.AppStoreServerAPI.private_key/0","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","ref":"Apple.AppStoreServerAPI.html#t:private_key/0"},{"type":"module","title":"Apple.AppStoreServerNotifications","doc":"Utilities for [App Store Server Notifications](https://developer.apple.com/documentation/appstoreservernotifications).","ref":"Apple.AppStoreServerNotifications.html"},{"type":"function","title":"Apple.AppStoreServerNotifications.verify_signed_payload/2","doc":"Verifies a signed payload.","ref":"Apple.AppStoreServerNotifications.html#verify_signed_payload/2"},{"type":"function","title":"References - Apple.AppStoreServerNotifications.verify_signed_payload/2","doc":"* https://github.com/potatosalad/erlang-jose/issues/63#issuecomment-1038751471\n  * https://andrealeopardi.com/posts/verifying-apple-jwts/","ref":"Apple.AppStoreServerNotifications.html#verify_signed_payload/2-references"},{"type":"type","title":"Apple.AppStoreServerNotifications.payload/0","doc":"The verified content extracted from signed payload.","ref":"Apple.AppStoreServerNotifications.html#t:payload/0"},{"type":"type","title":"Apple.AppStoreServerNotifications.root_cert/0","doc":"The root certificate that Apple offers on [Apple PKI](https://www.apple.com/certificateauthority/).\n\nIt's fine to use _Apple Root CA - G3 Root_.","ref":"Apple.AppStoreServerNotifications.html#t:root_cert/0"},{"type":"type","title":"Apple.AppStoreServerNotifications.signed_payload/0","doc":"A cryptographically signed payload, in JSON Web Signature (JWS) format.","ref":"Apple.AppStoreServerNotifications.html#t:signed_payload/0"},{"type":"module","title":"Apple.WeatherKitRestAPI","doc":"Utilities for [WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi).","ref":"Apple.WeatherKitRestAPI.html"},{"type":"function","title":"Apple.WeatherKitRestAPI.build_auth_token!/4","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `team_id`, `key_id` and so on,\nplease read [Request authentication for WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi/request_authentication_for_weatherkit_rest_api).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```\nAuthorization: Bearer  \n```","ref":"Apple.WeatherKitRestAPI.html#build_auth_token!/4"},{"type":"type","title":"Apple.WeatherKitRestAPI.key_id/0","doc":"The private key ID, like `\"2Y9R5HMY68\"`.","ref":"Apple.WeatherKitRestAPI.html#t:key_id/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.private_key/0","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","ref":"Apple.WeatherKitRestAPI.html#t:private_key/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.service_id/0","doc":"The registered service ID, like `\"com.example.weatherkit-client\"`.","ref":"Apple.WeatherKitRestAPI.html#t:service_id/0"},{"type":"type","title":"Apple.WeatherKitRestAPI.team_id/0","doc":"The team ID, like `\"6MPDV0UYYX\"`.","ref":"Apple.WeatherKitRestAPI.html#t:team_id/0"},{"type":"extras","title":"Apple","doc":"# Apple\n\nUtilities for building Apple SDKs.","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}